Assign a member to a program

Assigns a User to the given Program with a specific Program Role. A user can appear several times as a member of the same program, with different roles. Available roles are listed by GET /v1/program_roles/.

OAuth2

For OAuth2 bearer tokens, GET requires all of these read scopes: program:read (resources: program). Alternatively, the umbrella scope all:read (GET) or all:write (write methods) satisfies any endpoint.

Note

If the parent resource in the URL path cannot be accessed or does not exist, the response is 200 with an empty results list.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Id of the Program (UUID, e.g. 1c36656f-46f8-419f-bcc3-06a95538904a).

Body Params

Write serializer for assigning a user to a program with a program role.

uuid
required
uuid
required
Headers
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json